part of tecfy_core_client_package;

class NotificationButton extends StatefulWidget {
  final String label;
  final bool main;
  final void Function()? onPressed;
  NotificationButton({required this.label, this.onPressed, this.main = false});
  @override
  _NotificationButtonState createState() => _NotificationButtonState();
}

class _NotificationButtonState extends State<NotificationButton> {
  @override
  Widget build(BuildContext context) {
    return MaterialButton(
      height: 30.0,
      minWidth: 30.0,
      color: widget.main ? ThemeService.mainColor : ThemeService.mainTextColor,
      onPressed: widget.onPressed,
      child: Text(
        widget.label,
        style: TextStyle(
            color: widget.main
                ? ThemeService.mainTextColor
                : ThemeService.mainColor,
            fontSize: 15.0),
      ),
    );
  }
}
